<?php
namespace Mirasvit\Brand\Service\BrandUrlService;

/**
 * Interceptor class for @see \Mirasvit\Brand\Service\BrandUrlService
 */
class Interceptor extends \Mirasvit\Brand\Service\BrandUrlService implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Store\Model\StoreManagerInterface $storeManager, \Mirasvit\Brand\Repository\BrandRepository $brandRepository, \Mirasvit\Brand\Model\Config\Config $config)
    {
        $this->___init();
        parent::__construct($storeManager, $brandRepository, $config);
    }

    /**
     * {@inheritdoc}
     */
    public function getBrandUrl(\Mirasvit\Brand\Api\Data\BrandInterface $brand, ?int $storeId = null) : string
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getBrandUrl');
        return $pluginInfo ? $this->___callPlugins('getBrandUrl', func_get_args(), $pluginInfo) : parent::getBrandUrl($brand, $storeId);
    }
}
